package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.UserType;

/**
 * 系统角色Service接口
 * 
 * @author haotian
 * @date 2024-11-18
 */
public interface IUserTypeService 
{
    /**
     * 查询系统角色
     * 
     * @param typeId 系统角色主键
     * @return 系统角色
     */
    public UserType selectUserTypeByTypeId(Long typeId);

    /**
     * 查询系统角色列表
     * 
     * @param userType 系统角色
     * @return 系统角色集合
     */
    public List<UserType> selectUserTypeList(UserType userType);

    /**
     * 新增系统角色
     * 
     * @param userType 系统角色
     * @return 结果
     */
    public int insertUserType(UserType userType);

    /**
     * 修改系统角色
     * 
     * @param userType 系统角色
     * @return 结果
     */
    public int updateUserType(UserType userType);

    /**
     * 批量删除系统角色
     * 
     * @param typeIds 需要删除的系统角色主键集合
     * @return 结果
     */
    public int deleteUserTypeByTypeIds(Long[] typeIds);

    /**
     * 删除系统角色信息
     * 
     * @param typeId 系统角色主键
     * @return 结果
     */
    public int deleteUserTypeByTypeId(Long typeId);
}
